UNAME(1)

NAME
uname - print system information

SYNOPSIS
uname [OPTION]...

DESCRIPTION

Print certain system information. With no OPTION, same as -s.

-a, --all
    print all information, in the following order, except omit -p and -i if unknown:

-s, --kernel-name
    print the kernel name

-n, --nodename
    print the network node hostname

-r, --kernel-release
    print the kernel release

-v, --kernel-version
    print the kernel version

-m, --machine
    print the machine hardware name

-p, --processor
    print the processor type or "unknown"

-i, --hardware-platform
    print the hardware platform or "unknown"

-o, --operating-system
    print the operating system

--help
    display this help and exit

--version
    output version information and exit

AUTHOR
Written by David MacKenzie.

REPORTING BUGS
Report bugs to <bug-coreutils@gnu.org>.

COPYRIGHT
Copyright © 2006 Free Software Foundation, Inc.
This is free software. You may redistribute copies of it under the terms of the GNU General Public License <http://www.gnu.org/licenses/gpl.html>. There is NO WARRANTY, to the extent permitted by law.

SEE ALSO
The full documentation for uname is maintained as a Texinfo manual. If the info and uname programs are properly installed at your site, the command

    info uname

should give you access to the complete manual.